import 'package:flutter/material.dart';

class TextParameters {
  String data;
  TextAlign textAlign;
  int maxLines;
  double fontSize;
  Color color;
  FontWeight fontWeight;
  FontStyle fontStyle;
  String fontFamily;

  TextParameters({
    this.data,
    this.fontSize,
    this.maxLines,
    this.color,
    this.textAlign,
    this.fontStyle,
    this.fontWeight,
    this.fontFamily,
  });
}

Widget customText(TextParameters textParameters) {
  return Text(
    (textParameters.data != null) ? textParameters.data : 'Hello',
    maxLines: (textParameters.maxLines != null) ? textParameters.maxLines : 3,
    textAlign: (textParameters.textAlign != null)
        ? textParameters.textAlign
        : TextAlign.start,
    style: TextStyle(
      color:
          (textParameters.color != null) ? textParameters.color : Colors.black,
      fontSize:
          (textParameters.fontSize != null) ? textParameters.fontSize : 12.0,
      fontWeight: (textParameters.fontWeight != null)
          ? textParameters.fontWeight
          : FontWeight.normal,
      fontStyle: (textParameters.fontStyle != null)
          ? textParameters.fontStyle
          : FontStyle.normal,
      fontFamily: (textParameters.fontFamily != null)
          ? textParameters.fontFamily
          : 'Roboto',
    ),
  );
}
